<div id="hideBottomInput">
  <div class="pa-4 flex items-center justify-between bg-white">
    <div class="flex items-center">
      <v-btn icon fab small @click="$router.push(`/admin/users/detail/${sellerId}`)">
        <v-icon color="#111827">
          mdi-close
        </v-icon>
      </v-btn>
      <p class="mb-0 ml-4 font-medium text-gray-900">
        <span class="d-none d-md-inline">Settings for</span> {{sellerDetail.name || sellerDetail.email}}
      </p>
    </div>
    <!-- <v-btn color="#3B82F6" class="elevation-0 rounded" height="44" @click="onSave()">
      <p class="mb-0 font-semibold text-white capitalize">
        Save changes
      </p>
    </v-btn> -->
  </div>
  <div class="mx-auto mt-6" style="max-width: 912px">
    <div class="grid grid-cols-12 gap-8">
      <div class="col-span-12 md:col-span-4 rounded-lg">
        <v-tabs :vertical="$vuetify.breakpoint.name === 'lg' || $vuetify.breakpoint.name === 'xl'" v-model="tab"
          show-arrows>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500 font-semibold">
              Seller Basic Info
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Payment Methods
            </p>
          </v-tab>
          <v-tab class="flex justify-start">
            <p class="mb-0 ml-6 text-xs capitalize text-gray-500">
              Stores Manage
            </p>
          </v-tab>
        </v-tabs>
      </div>
      <div class="col-span-12 md:col-span-8 rounded-lg">
        <div class="bg-white rounded pa-4" v-show="tab === 0">
          <div class="pa-4 bg-white">
            <p class="mb-4 text-neutral-900 font-semibold">
              Seller Basic Info
            </p>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <div class="bg-gray-100 pa-2">
                  <v-icon>
                    mdi-store
                  </v-icon>
                </div>
                <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                  Seller Name:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8 flex items-center">
                <p class="mb-0 text-sm text-gray-900 leading-5">
                  {{sellerDetail.name}}
                </p>
              </div>
            </div>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <div class="bg-gray-100 pa-2">
                  <v-icon>
                    mdi-gmail
                  </v-icon>
                </div>
                <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                  Email:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8 flex items-center">
                <p class="mb-0 text-sm text-gray-900 leading-5">
                  {{sellerDetail.email}}
                </p>
              </div>
            </div>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <div class="bg-gray-100 pa-2">
                  <v-icon>
                    mdi-phone
                  </v-icon>
                </div>
                <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                  Phone Number:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8 flex items-center">
                <p class="mb-0 text-sm text-gray-900 leading-5">
                  {{sellerDetail.phoneNumber}}
                </p>
              </div>
            </div>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <div class="bg-gray-100 pa-2">
                  <v-icon>
                    mdi-gmail
                  </v-icon>
                </div>
                <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                  Email support:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8 flex items-center">
                <p class="mb-0 text-sm text-gray-900 leading-5">
                  {{sellerDetail.supportEmail}}
                </p>
              </div>
            </div>
            <div class="grid grid-cols-12 mt-4">
              <div class="col-span-12 md:col-span-4 flex items-center">
                <div class="bg-gray-100 pa-2">
                  <v-icon>
                    mdi-calendar-text
                  </v-icon>
                </div>
                <p class="mb-0 ml-2 text-sm text-neutral-900 leading-20 font-semibold">
                  Joined Date:
                </p>
              </div>
              <div class="col-span-12 md:col-span-8 flex items-center">
                <p class="mb-0 text-sm text-gray-900 leading-5">
                  {{sellerDetail.createdAt && $utils.formatDateCreatedAt(sellerDetail.createdAt)}}
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="pa-4" v-show="tab === 1">
          <div class="flex items-center justify-between">
            <p class="mb-0 text-neutral-900 font-semibold">
              List of Applied Payment Methods
            </p>
            <!-- <v-btn class="elevation-0" color="#3B82F6" height="44" @click="openDialogAddPayment()">
              <div class="flex items-center">
                <v-icon color="#fff">
                  mdi-account-plus
                </v-icon>
                <p class="mb-0 ml-2 text-sm font-semibold text-white capitalize">
                  Add Payment
                </p>
              </div>
            </v-btn> -->
          </div>
          <div class="mt-6">
            <div v-for="(payment, i) in listPaymentSeller" :key="i" class="mb-4">
              <div v-if="!payment.name" class="mb-0">
                <v-btn class="flex items-center rounded w-60 c-pointer" color="#1F264F" outlined
                  @click="openDialogAddPayment(payment)" style="background-color: #fff">
                  <div class="d-flex align-center" height="44" v-if="payment.type === 'paypal'">
                    <img src="~/assets/images/paypal.png" alt="" width="36" height="36">
                  </div>
                  <div class="d-flex align-center" height="44" v-if="payment.type === 'stripe'">
                    <img src="~/assets/images/stripe-payment.png" alt="" width="24" height="24">
                  </div>
                  <p class="mb-0 ml-1 text-sm font-semibold text-neutral-900 capitalize"
                    v-if="payment.type === 'paypal'">
                    Add Paypal Payment
                  </p>
                  <p class="mb-0 ml-2 text-sm font-semibold text-neutral-900 capitalize"
                    v-if="payment.type === 'stripe'">
                    Add Stripe Payment
                  </p>
                </v-btn>
              </div>
            </div>
          </div>
          <div class="rounded-lg">
            <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
            </v-skeleton-loader>
            <div v-for="(payment, i) in listPaymentSeller" :key="i" v-else>
              <div class="bg-white py-4 px-6 flex flex-wrap items-center justify-between mb-4 rounded-md"
                v-if="payment.name">
                <div>
                  <div class="flex items-center">
                    <div class="d-flex align-center" height="44" v-if="payment.type === 'paypal'">
                      <img src="~/assets/images/paypal.png" alt="" width="36" height="36">
                    </div>
                    <p class="mb-0 ml-1 text-sm font-semibold text-neutral-900 capitalize"
                      v-if="payment.type === 'paypal'">
                      {{payment.name}}
                    </p>
                  </div>
                  <div class="flex items-center">
                    <div class="d-flex align-center" height="44" v-if="payment.type === 'stripe'">
                      <img src="~/assets/images/stripe-payment.png" alt="" width="36" height="36">
                    </div>
                    <p class="mb-0 ml-1 text-sm font-semibold text-neutral-900 capitalize"
                      v-if="payment.type === 'stripe'">
                      {{payment.name}}
                    </p>
                  </div>
                </div>
                <div class="mt-3 mt-md-0">
                  <v-btn color="#3B82F6" outlined class="mr-2" @click="openDialogAddPayment(payment)">
                    <p class="mb-0 text-sm text-blue-500 leading-7 capitalize">
                      Change Paypal
                    </p>
                  </v-btn>
                  <v-btn color="#EF4444" outlined class="mr-2" @click="openDialogDelete(payment)">
                    <p class="mb-0 text-sm text-red-500 leading-7 capitalize">
                      Remove
                    </p>
                  </v-btn>
                </div>
              </div>
            </div>
            <div class="d-flex justify-center ma-4" v-if="listPaymentSeller.length == 0 && !loadingTable">
              <div>
                <div class="d-flex align-center justify-center">
                  <img src="~/assets/images/payment/no-payment.png" alt="" width="136" height="136">
                </div>
                <p class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold">
                  No Payment
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="pa-4" v-show="tab === 2">
          <v-card class="ui-card pb-10">
            <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
            </v-skeleton-loader>
            <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
              <template v-slot:default>
                <thead>
                  <tr>
                    <th class="table-head" style="width: 100px">
                      <div class="d-flex align-center">
                        <p class="mb-0 captionOverline colorGreyHeaderTable">

                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div style="width: 200px">
                        <p class="mb-0 captionOverline colorGreyHeaderTable">
                          Store Name
                        </p>
                      </div>
                    </th>
                    <th class="table-head text-left">
                      <div>
                        <p class="mb-0 captionOverline colorGreyHeaderTable">
                          Status
                        </p>
                      </div>
                    </th>
                    <!-- <th class="table-head text-left">
                      <div>
                        <p class="mb-0 captionOverline colorGreyHeaderTable">
                          Action
                        </p>
                      </div>
                    </th> -->
                  </tr>
                </thead>
                <tbody>
                  <tr v-for="(store,i) in listStore" :key="store._id">
                    <td class="py-3">
                      <v-switch inset v-model="store.isActive" @change="onChangeStatus(store)"></v-switch>
                    </td>
                    <td class="py-3">
                      <p class="mb-0 text-sm  text-neutral-900">
                        {{store.storeName}}
                      </p>
                    </td>
                    <td class="py-3">
                      <div v-if="store.status === 'pending'"
                        class="bg-orange-100 rounded-lg py-0.5 px-2 flex items-center w-20">
                        <v-icon color="#FB8C00" size="10">
                          mdi-circle
                        </v-icon>
                        <p class="mb-0 ml-2 text-xs font-medium text-orange-500">
                          Pending
                        </p>
                      </div>
                      <div v-if="store.status === 'active'"
                        class="bg-green-100 rounded-lg py-0.5 px-2 flex items-center w-20">
                        <v-icon color="#12B76A" size="16">
                          mdi-check
                        </v-icon>
                        <p class="mb-0 ml-2 text-xs font-medium text-green-500">
                          Active
                        </p>
                      </div>
                      <div v-if="store.status === 'close'"
                        class="bg-gray-100 rounded-lg py-0.5 px-2 flex items-center w-20">
                        <v-icon color="#6E7C87" size="16">
                          mdi-eye-off-outline
                        </v-icon>
                        <p class="mb-0 ml-2 text-xs font-medium text-gray-500">
                          Hidden
                        </p>
                      </div>
                    </td>
                    <!-- <td class="py-3">
                      <v-btn color="#EF4444" outlined>
                        <p class="mb-0 text-red-500 text-sm font-medium capitalize">
                          Remove
                        </p>
                      </v-btn>
                    </td> -->
                  </tr>
                </tbody>
              </template>
            </v-simple-table>
            <div class="d-flex justify-center ma-4" v-if="listStore.length == 0 && !loadingTable">
              <div>
                <div class="d-flex align-center justify-center">
                  <img src="~/assets/images/payment/no-payment.png" alt="" width="136" height="136">
                </div>
                <p class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold">
                  No Store
                </p>
                <p class="mb-0 text-center text-xs text-gray-500">
                  Add a new store now
                </p>
              </div>
            </div>
            <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
              v-if="listStore.length && !loadingTable">
              <v-pagination v-model="config.pageStore" :length="totalPageStore" :total-visible="5" class="pagination">
              </v-pagination>
              <div id="hideBottomInput" class="input-gotopage pos-relative px-3 px-sm-0 mt-3 mt-sm-0">
                <v-text-field dense outlined v-model.number="pageStore" placeholder="Go to page">
                </v-text-field>
                <div class="button-inside-input">
                  <v-btn height="36px" color="#076CE3" class="px-0 button-inside-input__button elevation-0"
                    @click="onRedirectPage()">
                    <v-icon color="#ffffff">
                      mdi-chevron-right
                    </v-icon>
                  </v-btn>
                </div>
              </div>
            </div>
          </v-card>
        </div>
      </div>
    </div>
  </div>


  <v-row justify="center">
    <v-dialog v-model="dialogAddPayment" :persistent="loading" max-width="640">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              {{userPaymentId.name ? 'Change' : 'Add'}} Payment Methods
            </p>
            <span class="text-sm text-gray-900">
              {{userPaymentId.name ? 'Changing' : 'Adding'}} Methods applied to this seller’s stores
            </span>
          </div>
          <v-btn icon small @click="closeDialogAddPayment()">
            <v-icon color="#111827">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <div class="py-3">
          <!-- <v-text-field prepend-inner-icon="mdi-magnify" dense outlined placeholder="Search by name" class="w-full"
            v-model="config.search" @keyup.enter="onGetListPayment()" v-debounce:1500ms="onGetListPayment">
          </v-text-field> -->
        </div>
        <div class="mx-6 border border-solid border-gray-200">
          <v-skeleton-loader class="mx-auto mt-10" width="100%" type="card" v-if="loadingTable">
          </v-skeleton-loader>
          <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
            <template v-slot:default>
              <thead>
              </thead>
              <tbody>
                <tr v-for="(payment,i) in listPayment" :key="i">
                  <td class="py-3">
                    <v-radio-group v-model="paymentId" class="mt-0">
                      <v-radio :value="payment._id" class="mt-0">
                      </v-radio>
                    </v-radio-group>
                  </td>
                  <td class="py-3">
                    <div class="flex items-center">
                      <div class="d-flex align-center" v-if="payment.type === 'paypal'">
                        <img src="~/assets/images/paypal.png" alt="" width="36" height="36">
                      </div>
                      <div class="d-flex align-center" v-if="payment.type === 'stripe'">
                        <img src="~/assets/images/stripe-payment.png" alt="" width="36" height="36">
                      </div>
                      <p class="mb-0 ml-2 text-sm font-semibold text-neutral-900">
                        {{payment.name}}
                      </p>
                    </div>
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
          <div class="d-flex justify-center ma-4" v-if="listPayment.length == 0 && !loadingTable">
            <div>
              <div class="d-flex align-center justify-center">
                <img src="~/assets/images/payment/no-payment.png" alt="" width="136" height="136">
              </div>
              <p class="mb-0 mt-4 text-center text-sm text-gray-500 font-semibold">
                No Payment
              </p>
            </div>
          </div>
          <div class="text-center mt-4 pb-2 d-sm-flex align-center justify-center"
            v-if="listPayment.length && !loadingTable">
            <v-pagination v-model="config.page" :length="totalPage" :total-visible="5" class="pagination">
            </v-pagination>
          </div>
        </div>
        <div class="flex items-center justify-end py-4 px-6">
          <v-btn color="#E5E7EB" outlined class="elevation-0 mr-3" height="44" @click="closeDialogAddPayment()"
            :disabled="loading">
            <p class="mb-0 text-sm text-neutral-900 font-semibold capitalize">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#3B82F6" class="elevation-0" height="44" @click="onAddPayment()" :disabled="loading">
            <v-progress-circular indeterminate color="#fff" v-if="loading" size="22">
            </v-progress-circular>
            <p class="mb-0 text-sm text-white font-semibold capitalize" v-else>
              {{userPaymentId.name ? 'Change' : 'Add'}} Payment
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>

  <v-row justify="center">
    <v-dialog v-model="dialogRemovePayment" :persistent="loading" max-width="360">
      <v-card class="bg-white" id="hideBottomInput">
        <div class="py-5 px-4 flex items-center justify-between">
          <div>
            <p class="mb-0 text-gray-900 font-semibold text-xl">
              Remove this Payment Method
            </p>
          </div>
          <v-btn icon small @click="dialogRemovePayment = false">
            <v-icon color="#111827">
              mdi-close
            </v-icon>
          </v-btn>
        </div>
        <v-divider></v-divider>
        <p class="my-4 text-sm text-neutral-900 mx-3">
          “{{userPaymentId.name}}” will be removed.
          Are you sure to continue?
        </p>
        <v-divider></v-divider>
        <div class="flex items-center justify-end py-4 px-6">
          <v-btn color="#E5E7EB" outlined class="elevation-0 mr-3" height="44" @click="dialogRemovePayment = false"
            :disabled="loading">
            <p class="mb-0 text-sm text-neutral-900 font-semibold capitalize">
              Cancel
            </p>
          </v-btn>
          <v-btn color="#EF4444" class="elevation-0" height="44" @click="onDeletePayment()" :disabled="loading">
            <v-progress-circular indeterminate color="#fff" v-if="loading" size="22">
            </v-progress-circular>
            <p class="mb-0 text-sm text-white font-semibold capitalize" v-else>
              Remove
            </p>
          </v-btn>
        </div>
      </v-card>
    </v-dialog>
  </v-row>
</div>